classification
Title: pdb reads source files using the locale encoding
Type: behavior Stage: commit review
Components: Library (Lib) Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gregory.p.smith, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2020-06-20 17:54 by serhiy.storchaka, last changed 2020-06-28 13:02 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21010 merged serhiy.storchaka, 2020-06-20 18:06
PR 21026 merged miss-islington, 2020-06-21 08:08
PR 21027 closed miss-islington, 2020-06-21 08:08
PR 21034 merged miss-islington, 2020-06-21 19:34
Messages (5)
msg371950 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-20 17:54
find_function() in pdb uses the locale encoding for reading source files. It should use the encoding specified by the coding cookie or UTF-8 if it is not specified.
msg371984 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-21 08:08
New changeset 19fcffa92773e008e4f5efb80047420a0cfafeec by Serhiy Storchaka in branch 'master':
bpo-41058: Use source file encoding in pdb.find_function(). (GH-21010)
https://github.com/python/cpython/commit/19fcffa92773e008e4f5efb80047420a0cfafeec
msg372015 - (view) Author: miss-islington (miss-islington) Date: 2020-06-21 19:36
New changeset 14195597b3a877209c20d00e0ec844234e624d13 by Miss Islington (bot) in branch '3.8':
bpo-41058: Use source file encoding in pdb.find_function(). (GH-21010)
https://github.com/python/cpython/commit/14195597b3a877209c20d00e0ec844234e624d13
msg372016 - (view) Author: miss-islington (miss-islington) Date: 2020-06-21 19:52
New changeset 26f6126b2aa116b5c613c104bde0bb5b791a0bfc by Miss Islington (bot) in branch '3.9':
bpo-41058: Use source file encoding in pdb.find_function(). (GH-21010)
https://github.com/python/cpython/commit/26f6126b2aa116b5c613c104bde0bb5b791a0bfc
msg372017 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2020-06-21 19:57
The 3.7 PR is up to the release manager to decide on, it probably isn't worth merging there as this i not security related.  thanks for the fix Serhiy!
History
Date User Action Args
2020-06-28 13:02:39ned.deilysetversions: - Python 3.7
2020-06-21 19:57:17gregory.p.smithsetstatus: open -> closed
resolution: fixed
stage: patch review -> commit review
2020-06-21 19:57:08gregory.p.smithsetnosy: + gregory.p.smith
messages: + msg372017
2020-06-21 19:52:09miss-islingtonsetmessages: + msg372016
2020-06-21 19:36:30miss-islingtonsetmessages: + msg372015
2020-06-21 19:34:35miss-islingtonsetpull_requests: + pull_request20205
2020-06-21 11:07:17serhiy.storchakalinkissue41063 dependencies
2020-06-21 08:08:19miss-islingtonsetpull_requests: + pull_request20199
2020-06-21 08:08:12miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request20198
2020-06-21 08:08:09serhiy.storchakasetmessages: + msg371984
2020-06-20 18:06:06serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request20184
2020-06-20 17:54:13serhiy.storchakacreate